# $Revision: 1.122.2.10 $, $Date: 2006/01/17 13:47:16 $
#
# Conditional build:
# ldbm_type	- set to needed value (btree<default> or hash)
# _with_db3	- use old db3 package instead of db
# _without_sasl - don't build cyrus sasl support
# _without_odbc	- disable sql support
#
%define		_with_db3	yes

Summary:	Lightweight Directory Access Protocol clients/servers
Summary(es):	Clientes y servidor para LDAP
Summary(pl):	Klienci Lightweight Directory Access Protocol
Summary(pt_BR):	Clientes e servidor para LDAP
Summary(ru):	  LDAP
Summary(uk):	 ̦Ԧ LDAP
Name:		openldap
Version:	2.0.27
Release:	5
License:	Artistic
Group:		Networking/Daemons
Source0:	ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/%{name}-%{version}.tgz
# Source0-md5:	a1e6508c471dd47205a3492cf57110a6
Source1:	ldap.init
Source2:	%{name}.sysconfig
# Taken from http://www.openldap.org/doc/admin/guide.html. Tarball includes images.
Source3:	ldap-guide.tar.gz
# Source3-md5:	7b5cdc5a2ca4f0e6050da4e223accaae
Source5:	ldap.conf
Patch0:		%{name}-make_man_link.patch
Patch1:		%{name}-conffile.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-sql.patch
Patch4:		%{name}-sendbuf.patch
Patch5:		%{name}-syslog.patch
Patch6:		%{name}-fast.patch
Patch7:		%{name}-cldap.patch
Patch8:		%{name}-no_libnsl.patch
Patch9:		%{name}-ldapi_FHS.patch
Patch10:	%{name}-ac25x.patch
Patch11:	%{name}-db41.patch
Patch12:	%{name}-secpatch.patch
Patch13:	%{name}-CAN-2005-2069.patch
Patch14:	%{name}-nolibbind.patch
URL:		http://www.openldap.org/
%{!?_without_sasl:BuildRequires:	cyrus-sasl-devel}
%{?_with_db3:BuildRequires:	db3-devel}
%{!?_with_db3:BuildRequires:	db-devel}
BuildRequires:	libltdl-devel
BuildRequires:	libwrap-devel
BuildRequires:	openssl-devel >= 0.9.6m
BuildRequires:	pam-devel
BuildRequires:	perl
BuildRequires:	readline-devel >= 4.2
%{!?_without_odbc:BuildRequires:	unixODBC-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc
%define		_libexecdir	%{_sbindir}
%define		_localstatedir	/var/lib

%description
LDAP servers and clients, as well as interfaces to other protocols.
Note that this does not include the slapd interface to X.500 and
therefore does not require the ISODE package.

The package includes:
- libraries implementing the LDAP protocol,
- utilities, tools, and sample clients.

%description -l es
Cliente y servidor LDAP.

%description -l pl
Serwery i klienci LDAP jak i interfejsy do innych protokow. Wiedz,
e pakiet ten nie zawiera interfejsu slapd to X.500 i dlatego nie
wymaga pakietu ISODE.

Pakiet ten zawiera:
- biblioteki implementujce obsug protokou LDAP,
- dodatkowe narzedzia i przykadowe aplikacje klienckie LDAP.

%description -l pt_BR
OpenLDAP  um conjunto de ferramentas e aplicaes para construir um
servidor de diretrios.

O conjunto completo contm:
- bibliotecas implementando o protocolo LDAP utilitrios,
- ferramentas e clientes.

Este pacote contm apenas as bibliotecas usadas por alguns programas.
Voc provavelmente tambm vai querer instalar o pacote
openldap-client.

%description -l ru
 ,   LDAP.

%description -l uk
 ̦Ԧ,    LDAP.

%package devel
Summary:	LDAP development files
Summary(es):	Bibliotecas de desarrollo y archivos de inclusin para OpenLDAP
Summary(pl):	Pliki dla developerw LDAP
Summary(pt_BR):	Bibliotecas de desenvolvimento e arquivos de incluso para o OpenLDAP
Summary(ru):	    LDAP
Summary(uk):	    LDAP
Group:		Development/Libraries
Requires:	%{name} = %{version}
%{!?_without_sasl:Requires:	cyrus-sasl-devel}
Requires:	pam-devel
%{?_with_db3:Requires:	db3-devel}
%{!?_with_db3:Requires:	db-devel}
Requires:	openssl-devel

%description devel
Header files and libraries for developing applications that use LDAP.

%description devel -l es
Bibliotecas de desarrollo y archivos de inclusin de OpenLDAP.

%description devel -l pl
Pliki nagwkowe i biblioteki konieczne do rozwoju aplikacji
uywajcych LDAP.

%description devel -l pt_BR
Bibliotecas de desenvolvimento e arquivos de incluso do OpenLDAP.
Instale este pacote se voc for trabalhar com desenvolvimento em LDAP
ou desejar compilar algum programa que utilize LDAP.

%description devel -l ru
  ,    ,
 LDAP.

%description devel -l uk
  ¦̦, ȦΦ   , 
 LDAP.

%package static
Summary:	LDAP static libraries
Summary(pl):	Biblioteki statyczne LDAP
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com openldap
Summary(ru):	  LDAP
Summary(uk):	Φ ¦̦ LDAP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This package includes the development libraries and header files
needed for compilation of applications that are making use of the LDAP
internals. Install this package only if you plan to develop or will
need to compile cutomized LDAP clients.

%description static -l pl
Biblioteki statyczne LDAP.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com openldap.

%description static -l ru
 ,    ,
 LDAP.

%description static -l uk
Φ ¦̦, ȦΦ   ,  
LDAP.

%package servers
Summary:	LDAP servers
Summary(pl):	Serwery LDAP
Summary(pt_BR):	Arquivos para o servidor OpenLDAP
Summary(ru):	 LDAP
Summary(uk):	 LDAP
Group:		Networking/Daemons
PreReq:		rc-scripts
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
Requires(post,preun):	/sbin/chkconfig

%description servers
The openldap2-server package has the slapd daemon which is responsible
for handling the database and client queries.

The package includes:
- stand-alone LDAP server (slapd),
- stand-alone LDAP replication server (slurpd)

Install this package if you want to setup an OpenLDAP-2.x server.

%description servers -l pl
Serwery (demony) ktre przychodz z LDAPem.

Pakiet ten zawiera:
- serwer LDAP (slapd)
- serwer replikacji bazy LDAP (slurpd)

Zainstaluj ten pakiet jeeli potrzebujesz server OpenLDAP-2.x.

%description servers -l pt_BR
O pacote openldap-server contm o servidor slapd que  responsvel por
receber as requisies dos clientes e por manter a base de dados do
diretrio.

O conjunto completo contm:
- servidor LDAP (slapd),
- servidor de replicao (slurpd)

Instale este pacote se voc desejar executar um servidor OpenLDAP.

%description servers -l ru
 (),   LDAP.

%description servers -l uk
 (),    LDAP.

%prep
%setup -q -a 3
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p0
%patch13 -p1
%patch14 -p1

%build
CPPFLAGS="-I%{_includedir}/ncurses -I%{_includedir}/db3"
CFLAGS="%{rpmcflags} -I%{_includedir}/db3"
%configure2_13 \
	--enable-syslog \
	--enable-proctitle \
	--enable-cache \
	--enable-referrals \
	--enable-ipv6 \
	--enable-local \
%{!?_without_sasl:--with-cyrus-sasl} \
%{!?_without_sasl:--enable-spasswd} \
	--with-readline \
	--with-threads \
	--with-tls \
	--with-yielding-select \
	--enable-slapd \
	--enable-crypt \
	--enable-multimaster \
	--enable-phonetic \
	--enable-rlookups \
	--enable-aci \
	--enable-wrappers \
	--enable-dynamic \
	--enable-modules \
	--enable-dnssrv \
	--with-dnssrv-module=dynamic \
	--enable-ldap \
	--with-ldap-module=dynamic \
	--enable-ldbm \
	--with-ldbm-module=static \
	--with-ldbm-api=berkeley \
	--with-ldbm-type=%{?ldbm_type:%{ldbm_type}}%{?!ldbm_type:btree} \
	--enable-passwd \
	--with-passwd-module=dynamic \
	--enable-shell \
	--with-shell-module=static \
	--enable-slurpd \
	--enable-shared \
	--enable-static \
%{!?_without_odbc:--enable-sql} \
%{!?_without_odbc:--with-sql-module=dynamic} 


# without this server won't start
#echo "#undef HAVE_GETADDRINFO" >> include/portable.h

%{__make} depend
%{__make}

# avoid relinking to allow build without openldap-devel already installed
for d in libraries/libldap/libldap.la libraries/libldap_r/libldap_r.la ; do
	perl -pi -e 's/^relink_command.*//' $d
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/{sysconfig,rc.d/init.d},var/lib/openldap-ldbm} \
	$RPM_BUILD_ROOT%{_datadir}/openldap/schema

rm -f doc/rfc/rfc*

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libexecdir}/openldap $RPM_BUILD_ROOT%{_libdir}

# hack the default config files
perl -pi -e "s|%{buildroot}||g" $RPM_BUILD_ROOT%{_sysconfdir}/openldap/slapd.conf

perl -pi -e "s|^#! /bin/sh|#!/bin/sh|g" $RPM_BUILD_ROOT%{_sbindir}/xrpcomp

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ldap
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ldap

install $RPM_SOURCE_DIR/ldap.conf $RPM_BUILD_ROOT%{_sysconfdir}/ldap.conf

echo "localhost" > $RPM_BUILD_ROOT%{_sysconfdir}/openldap/ldapserver

# Standard schemas should not be changed by users
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema/* $RPM_BUILD_ROOT%{_datadir}/openldap/schema/

# create slapd.access.conf
echo "# This is a good place to put slapd access-control directives" > \
	$RPM_BUILD_ROOT%{_sysconfdir}/openldap/slapd.access.conf

# create local.schema
echo "# This is a good place to put your schema definitions " > \
	$RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema/local.schema

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%pre servers
if [ -n "`getgid slapd`" ]; then
	if [ "`getgid slapd`" != "93" ]; then
		echo "Error: group slapd doesn't have gid=93. Correct this before installing openldap." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 93 -r -f slapd
fi
if [ -n "`id -u slapd 2>/dev/null`" ]; then
	if [ "`id -u slapd`" != "93" ]; then
		echo "Error: user slapd doesn't have uid=93. Correct this before installing openldap." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -M -r -u 93 -s /bin/false -g slapd \
		-c "OpenLDAP server" -d /var/lib/openldap-ldbm slapd 1>&2
fi

%post servers
/sbin/chkconfig --add ldap
if [ -f /var/lock/subsys/ldap ]; then
	/etc/rc.d/init.d/ldap restart >&2
else
	echo "Run '/etc/rc.d/init.d/ldap start' to start OpenLDAP server." >&2
fi

%preun servers
if [ "$1" = "0" ] ; then
	if [ -f /var/lock/subsys/ldap ]; then
		/etc/rc.d/init.d/ldap stop >&2
	fi
	/sbin/chkconfig --del ldap
fi

%postun servers
if [ "$1" = "0" ]; then
	/usr/sbin/userdel slapd
	/usr/sbin/groupdel slapd
fi

%files
%defattr(644,root,root,755)
%doc ANNOUNCEMENT CHANGES COPYRIGHT README
%doc doc/{drafts,rfc}
%doc guide
%dir %{_sysconfdir}/openldap
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/openldap/ldapfilter.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/openldap/ldapsearchprefs.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/openldap/ldaptemplates.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/openldap/ldapserver
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/ldap.conf
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_datadir}/openldap
%{_datadir}/openldap/*
%{_mandir}/man1/*
%{_mandir}/man5/ldap.conf.5*
%{_mandir}/man5/ldapfilter.conf.5*
%{_mandir}/man5/ldapfriendly.5*
%{_mandir}/man5/ldapsearchprefs.conf.5*
%{_mandir}/man5/ldaptemplates.conf.5*
%{_mandir}/man5/ldif.5*
%{_mandir}/man5/ud.conf.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files servers
%defattr(644,root,root,755)
%dir %{_sysconfdir}/openldap/schema
%attr(640,root,slapd) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/openldap/slapd.conf
%attr(640,root,slapd) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/openldap/slapd.access.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/openldap/schema/*.schema
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/ldap
%attr(754,root,root) /etc/rc.d/init.d/ldap
%attr(770,root,slapd) %{_localstatedir}/openldap-ldbm
%attr(770,root,slapd) %{_localstatedir}/openldap-slurp
%{_datadir}/openldap/*.help
%dir %{_datadir}/openldap/schema
%{_datadir}/openldap/schema/*.schema
%dir %{_libdir}/openldap/
%attr(755,root,root) %{_libdir}/openldap/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man5/slapd.conf.5*
%{_mandir}/man5/slapd.replog.5*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openldap.spec,v $
Revision 1.122.2.10  2006/01/17 13:47:16  hawk
- added patch to kill libbind

Revision 1.122.2.9  2006/01/17 11:06:22  hawk
- release 5 to rebuild with new bind

Revision 1.122.2.8  2005/08/10 11:06:06  hawk
- added fix for CAN-2005-2069
- release 4 for Ra

Revision 1.122.2.7  2004/03/19 13:10:25  ankry
- massive change: BR: openssl-devel >= 0.9.6m

Revision 1.122.2.6  2004/02/07 15:07:03  ankry
- reversed last changes; added Source3-md5

Revision 1.122.2.5  2004/02/06 02:25:55  twittner
- fix %setup for previously removed Source3

Revision 1.122.2.4  2004/02/06 02:13:02  twittner
- removed ldap-guide from Source3 and %files - not stored in repo (why?).

Revision 1.122.2.3  2004/02/06 01:57:43  twittner
- added md5

Revision 1.122.2.2  2003/07/11 12:02:13  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.122.2.1  2003/02/06 12:00:14  kloczek
- build _with_db3 for RA-branch.

Revision 1.122  2002/12/09 15:28:29  qboosh
- secpatch is p0

Revision 1.121  2002/12/09 15:11:18  qboosh
- added secpatch patch from SuSE (buffer overflows etc.)

Revision 1.120  2002/11/25 12:51:49  qboosh
- s/_without_db/_with_db3/ (it's feature change, not just disabling)

Revision 1.119  2002/11/24 17:45:19  aflinta
- added sasl and odbc bconds
- release 3

Revision 1.118  2002/10/26 20:52:17  qboosh
- added db41 patch with db 4.1 compatibility fix (shouldn't break db3)
- fixed %%pre servers, added %%postun servers; more specific Requires()
- release 2

Revision 1.117  2002/10/20 22:09:34  kloczek
- updated to 2.0.27: bug fixes.

Revision 1.116  2002/07/31 18:52:15  qboosh
- really fixed doc

Revision 1.115  2002/07/31 13:00:50  kloczek
- release 4: fix %files list.

Revision 1.114  2002/07/27 20:43:21  kloczek
- release 3.

Revision 1.113  2002/07/24 10:14:19  qboosh
- BR: libltdl-devel

Revision 1.112  2002/07/05 08:22:49  jajcus
- Release: 2
- don't run autoconf/automake/libtool, these break slurpd (http://bugs.pld.org.pl/?bug=13)

Revision 1.111  2002/07/02 09:14:14  jajcus
- Version 2.0.25
- ldapi_FHS patch fixed
- new %%doc compression

Revision 1.110  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.109  2002/05/21 23:14:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.108  2002/04/28 11:00:18  mkochano
- Release 6.
- BuildRequires: pam-devel
- Guilde html file replaced with tarball containing images. It is
  unpacked into %{_docdir}/guide.

Revision 1.107  2002/04/23 18:16:57  qboosh
- added ac25x patch needed for autoconf 2.53

Revision 1.106  2002/04/19 06:47:04  kloczek
- typos.

Revision 1.105  2002/04/19 06:43:15  kloczek
- release 5: merge translations from KSI and new sendbuf patch (frm rawhide).

Revision 1.104  2002/04/18 12:57:01  jajcus
- dirty fix for MD5 {CRYPT} passwords problems (%%{name}-crypt_lib_order.patch)

Revision 1.103  2002/04/18 11:32:27  jajcus
- Version: 2.0.23

Revision 1.102.2.2  2002/04/04 10:19:05  jajcus
- db3-patch is not needed any more

Revision 1.102.2.1  2002/04/02 13:56:16  jajcus
- Version: 2.0.23
- ldapi:/// socket moved to /var/run (was in /var/lib)
- NFY

Revision 1.102  2002/03/13 22:34:46  ankry
- removed rfc documents - leaved only their INDEX
- release 3

Revision 1.101  2002/02/25 16:08:11  qboosh
- changed localstatedir to /var/lib, added /var/lib/openldap-slurp dir to package

Revision 1.100  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.99  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.98  2002/01/19 14:06:04  mkochano
- s/%%Install/%install/
  It looks like rpm doesn't care about case, but ./builder does.

Revision 1.97  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.96  2002/01/18 00:57:56  kloczek
- release 2: s#db-devel#db3-devel# in Require rule in devel.

Revision 1.95  2002/01/17 22:38:59  filon
- updated to 2.0.21 - SECURITY FIXES, PLEASE UPDATE

Revision 1.94  2002/01/10 10:12:09  misiek
For devel subpackage:
Requires:       cyrus-sasl-devel
Requires:       pam-devel
Requires:       db-devel
Requires:       openssl-devel
(see libldap.la)

Revision 1.93  2001/12/22 19:56:14  blues
- corrected descriptions of packages (main package does NOT provide slapd)

Revision 1.92  2001/11/16 12:39:11  kura
- release 3
- added (noreplace) for slapd{,access}.conf

Revision 1.91  2001/11/09 19:10:19  kloczek
- release 2.

Revision 1.90  2001/11/09 18:19:05  bonkey
- added "-s /bin/false" to "useradd slapd" command

Revision 1.89  2001/11/05 20:54:38  qboosh
- avoid relinking libldap/libldap_r to allow build w/o openldap-devel installed

Revision 1.88  2001/11/02 10:41:40  jajcus
- Version: 2.0.18
- ac_fixes.patch removed --- it breaks autoconf

Revision 1.87  2001/10/08 19:14:52  filon
- s/plase/place/g (in confiuration files)
- release 4

Revision 1.86  2001/09/25 11:05:28  qboosh
- release 3: -servers Prereq: /sbin/chkconfig

Revision 1.85  2001/09/18 19:19:58  qboosh
- changed lt_fixes patch so rebuild doesn't need -devel already installed
- release 2

Revision 1.84  2001/09/17 12:30:18  qboosh
- removed English "es" translations

Revision 1.83  2001/09/16 15:37:38  kloczek
- added lt_fixes patch with fixes, simplifies and corrects using
  libtool abilities,
- removed chkconfig and added shadow in Prereq rules in server subpackage,
- cosmetics in translaions.

Revision 1.82  2001/09/13 20:07:14  kloczek
- updated to 2.0.14,
- added regenerate lt files,
- added ac/am/lt to BuildRequires,
- added "rm -f missing" on top %build,
- added ac_fixes patch with fix subtle bug which disallow regenerate ac
  files (was missing ONE closeing "]" :>).

Revision 1.81  2001/09/11 10:20:46  kloczek
- updated to 2.0.13,
- added no_nsl patch (remove checking for libnsl if enabled use libwrap),
- added regenerate ac/am files.
NOTE: somewhere in ac suit is bug which causes fail on run configure script.

Revision 1.80  2001/08/12 19:25:54  qboosh
- removed pidfile patch (from rawhide) - it's buggy.
  It saves pid before fork - pid of process which won't exit after slapd start.
  Note that slapd itself has an option to save pid to file - but it doesn't
  work when slapd is run not as root (no +w perm in /var/run).
  For now - don't save pid file, let rc-scripts use pidof. Does someone have
  better idea?
- release 2

Revision 1.79  2001/08/10 22:16:38  blues
- configure2_13
- some translations

Revision 1.78  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.76  2001/05/27 12:57:25  kloczek
- updated to 2.0.11.

Revision 1.75  2001/05/22 05:12:12  kloczek
- updated to 2.0.10.

Revision 1.74  2001/05/19 04:30:08  kloczek
- updated to 2.0.9 (removed obsoleted ac patch).

Revision 1.73  2001/05/18 04:45:45  kloczek
- reelase 2: fixed %post, %postun scripts.

Revision 1.72  2001/05/11 16:00:22  misiek
- updated to 2.0.8
- removed obsolete (norbert) and added new (ac) patches

Revision 1.71  2001/05/08 21:16:28  kloczek
- release 16: rebuild against openssl 0.9.6a.

Revision 1.70  2001/04/28 09:09:04  kloczek
- relese 15,
- merge bunch patches from rawhode,
- more macros.

Revision 1.69  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.68  2000/12/21 18:38:05  kloczek
- added autoconf to BuildRequires list.

Revision 1.67  2000/11/08 11:23:55  wiget
- 2.0.7
- added openldap-sql.patch (fix typo in sql backend)
- more dynamic modules (dnsserv,ldap,sql)
- ldapfreindly file and ldif.5 manual moved to main package
- don't include *.schema.default in packages

Revision 1.66  2000/10/05 19:41:59  wiget
modules back

Revision 1.65  2000/10/05 19:21:35  kloczek
- updated to 2.0.6.

Revision 1.64  2000/10/04 14:23:11  wiget
modules support is disabled in this version :-(

Revision 1.63  2000/10/04 00:05:00  kloczek
- updated to 2.0.5,
- use rpm new automation suit.

Revision 1.62  2000/10/03 17:17:17  wiget
If you don't like btree then build openldap with --define 'ldbm_api hash'

Revision 1.61  2000/10/02 16:02:12  wiget
- added 1 more BuildRequires
- set LDBM type to btree
- commented out GETADDRINFO hack (this work for me <only ldapi:/// not work>)

Revision 1.60  2000/10/02 12:15:04  jajcus
- db3 support (warning: conflicts with current libnss_db!)

Revision 1.59  2000/09/24 19:55:52  kloczek
- updated to 2.0.4.

Revision 1.58  2000/09/21 03:17:04  kloczek
- typo.

Revision 1.57  2000/09/21 02:42:32  kloczek
- s#mv #mv -f#.

Revision 1.56  2000/09/19 17:43:06  jajcus
- version 2.0.3

Revision 1.55  2000/09/11 09:31:03  jajcus
- use gdbm instead libdb (sasl is linked with gdbm anyway)
- "#undef HAVE_GETADDRINFO" --- slapd wont' start without this. This breaks IPv6 support
- "Run...." message fixed

Revision 1.54  2000/09/10 18:44:03  kloczek
- adapterized and fiew cosmetics.

Revision 1.53  2000/09/10 16:16:16  jajcus
- custom.schema -> local.schema, other schemas included in slapd.conf (as in
  OpenLDAP Administrators' Guide)
- /etc/openldap/secret file removed (as it is not used now).

Revision 1.52  2000/09/10 10:34:30  jajcus
- Release: 1
- "secretfile" patch removed
- /var/lib/openldap -> /var/lib/openldap-ldbm (as openldap default)
- slapd user and group

Revision 1.51  2000/09/07 12:08:05  jajcus
- version 2.0.1
- OpenLDAP Administrator Guide added
- MigrationTools and others should go to other package (maybe: ldapauth)
- NFY

Revision 1.50  2000/09/05 05:46:48  kloczek
- updated to 2.0.0
- release 0.1 - builds correctly but %install must be finishad.

Revision 1.49  2000/07/13 23:18:16  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.48  2000/06/12 15:15:20  wiget
- change ldbm location back to /var/lib/openldap

Revision 1.47  2000/06/09 13:43:06  kloczek
- updated to 1.2.11.

Revision 1.46  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.45  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.44  2000/05/21 00:14:05  kloczek
- spec adapterized.

Revision 1.43  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.42  2000/04/10 08:25:44  wiget
1.2.10

Revision 1.41  2000/04/01 11:15:11  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.40  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.39  2000/03/03 00:12:59  kloczek
- typo in %post/%preun.

Revision 1.38  2000/03/02 22:18:18  kloczek
- standarized %post/%preun.

Revision 1.37  2000/03/02 17:59:24  wiget
1.2.9
- some fixes

Revision 1.36  2000/02/05 19:24:47  waszi
- small fixes

Revision 1.35  1999/11/16 17:17:12  kloczek
- release 3,
- build against ncurses 5.0.

Revision 1.34  1999/10/24 14:49:27  jajcus
- added ldapsetupdb script

Revision 1.33  1999/10/22 15:17:04  jajcus
- fixed conffile.patch
- added "secret file" support

Revision 1.32  1999/09/26 16:10:03  kloczek
- release 2.

Revision 1.31  1999/09/18 14:43:53  jajcus
- FHS 2.0 fixes:
  slapd.at.conf & slapd.oc.conf (which are not user-editable)
       -> /usr/share/openldap
  LDAP database -> /var/state/ldap
- RFC2307 object classes and attribute definitions added
- default root password locked - so noone can write LDAP database before
  proper password is defined

Revision 1.30  1999/09/11 14:58:25  jajcus
- version 1.2.7
- only servers subpackage requires rc-scripts

Revision 1.29  1999/09/11 13:56:04  misiek
- fixed requires (PR#46)

Revision 1.28  1999/09/10 12:16:51  jajcus
/etc/openldap/ldap.conf -> /etc/ldap.conf

Revision 1.27  1999/09/10 10:17:51  jajcus
- change directory in config file, to the one in spec
- fixed migrate_passwd

Revision 1.26  1999/08/19 19:29:39  kloczek
- fix: check /var/lock/subsys/ldap on restart in %post,
- stop, start sequence replaced by restart.

Revision 1.25  1999/08/19 18:30:04  kloczek
- more rpm macros,
- fixes for correct placing config files (in /etc/openldap/),
- fixed rc script for ldap server.

Revision 1.24  1999/08/19 14:40:30  kloczek
- ldap-make_man_link.patch chganged to openldap-make_man_link.patch.

Revision 1.23  1999/08/19 14:39:15  kloczek
- updated to 1.2.6,
- added migrations tools (%{_datadir}/openldap/migration) which allow move
  some databases lik passwod, shadow and other to LDAP database,
- much beter fix for linked man pages (ldap-make_man_link.patch),
- added usung %%configure macro,
- fixed sysconfigdir (in binaries; perious version have /etc/ldap/ldap),
- added --enable-passwd and --enable-shell to ./configure parameters,
- more %description for main.

Revision 1.22  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.21  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.20  1999/07/19 22:20:54  kloczek
- updated to 1.2.4,
- release 0.1,
- removed all currently integrated in main stream patches (only man passed).

Revision 1.19  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May  6 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2.1-2]
- more fixes agains symlinks on man pages files,
- small fix in man pages about ability using ~/.ldaprc
  (openldap-man.patch),
- added BiolPrereq: libwrap (we ./configure --with-wrappers),
- fix for logging to LOG_DAEMON va syslogd (openldap-syslog.patch).

* Thu May  6 1999 Artur Frysiak <wiget@pld.org.pl>
- fixes agains symlinks on man pages files,
- added %%{_target_platform} macro to ./configure parameters,
- fixed strdup macro owerwriting (openldap-strdup.patch).

* Thu Apr 22 1999 Arne Coucheron <arneco@online.no>
  [1.2.1-1]
- using %%{name} and %%{version} macros
- added -q parameter to %setup
- added URL tag
- using chkconfig to activate init script and added Prereq: for it
- devel package requires openldap
- fixed the path names in the man pages
- using %defattr in %files section
- simplified the use %files
- some changes in the init script (check that networking is up etc)
